Bug 244093 - Unwanted resize of shutdown confirmation dialog
Unwanted resize of shutdown confirmation dialog
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2007-06-13 14:57 EDT by Marco Maccaferri
Modified: 2008-06-16 21:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:34:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 496567 None None None Never

  None (edit)
Description Marco Maccaferri 2007-06-13 14:57:30 EDT
Description of problem:
The shutdown confirmation dialog is resized automatically, after one second,
without user intervention.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Click on the Fedora menu'
2. Select Shutdown
Actual results:
The dialog opens and after one second it is resized.

Expected results:
The dialog should not resize by itself, it should keep the size it has when opened.

Additional info:
Seems that the dialog is initially created with a bigger font, then the font is
replaced with a smaller one and the dialog resized.
Comment 1 Marco Maccaferri 2007-11-13 12:01:51 EST
Still present in Fedora8.

In addition, it seems a more wide issue, I see it happens also with the clock
applet, when it is loaded the fonts are huge, then they are resized to the
correct size.

Any hope to have this fixed ? Not a showstopper but it is a bit annoying to have
to chase the shutdown button every time.
Comment 2 Ray Strode [halfline] 2007-11-13 12:57:51 EST
So the dialog has a timer in it.  It's probably that once the timer ticks once
things get recalculated.

Honestly, this bug while annoying probably won't make it to the top of my
priority queue for a while.  You would have a lot better luck filing upstream.

Even if I fixed the bug, I would need to file an upstream bug to get the fix
upstream, so would be good to get an upstream one filed anyway.

Would you mind doing that?  If you don't have an upstream account, or you do
mind, I can file it for you.
Comment 3 Marco Maccaferri 2007-11-13 13:38:51 EST
Well, I don't want to sound rude, but not a note in five months and now you tell
me that it is the upstream that should fix it ? I understand that it isn't a top
priority bug (just a lack of attention to details or a regression, since it was
working well before F7), but you could have told me that five monts ago, so
maybe this bug would be fixed by now.

I don't have an account with Gome (or GTK or Metacity or whatever, I don't even
know what component is that), I don't even know if this is really a bug in the
upstream since I don't have the time nor the will to test a plain Gnome to see
if it can be replicated (Ubuntu for example uses a different set of dialogs that
doesn't show this problem), so if you are sure that it should be fixed by the
upstream, please file the bug yourself.

Comment 4 Ray Strode [halfline] 2007-11-13 16:29:11 EST

I've filed this report upstream here:


We use the upstream shutdown dialog.  Ubuntu uses a different one, I believe.

I apologize for not responding to your bug quicker.  A lot of bugs come into the
system every morning, and sometimes bugs don't get triaged.
Comment 5 Bug Zapper 2008-05-14 09:03:52 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 21:34:53 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.